FROM denoland/deno:latest

EXPOSE 8000

WORKDIR /app

USER deno

COPY --chown=deno . .

RUN deno cache --unstable app.ts

CMD ["run", "--unstable", "--allow-net=0.0.0.0:8000", "--allow-read=less,public/assets", "--allow-write=public/assets/css", "app.ts"]
